{% extends 'base.html.twig' %}

{% from '_macros/form.html.twig' import checkbox %}

{% block site_nav_active 'login' %}
{% block title 'title.log_in'|trans %}

{% block body %}
  <h1 class="page-heading">{{ block('title') }}</h1>

  {% if app.request.headers.has('Referer') and
    is_granted('IS_AUTHENTICATED_REMEMBERED') and
    not is_granted('IS_AUTHENTICATED_FULLY')
  %}
    {% embed '_layouts/alert.html.twig' %}
      {% block alert_attributes 'role="alert"' %}
      {% block alert_paragraph 'flash.you_must_reauthenticate'|trans %}
    {% endembed %}
  {% endif %}

  <form action="{{ path('login_check') }}" method="POST" class="form form--login">
    <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

    {% if error %}
      <ul class="form-error-list no-margin">
        <li>{{ error.messageKey|trans(error.messageData, 'security') }}</li>
      </ul>
    {% endif %}

    <div class="form-row form-row--single-line form__row">
      <label class="form-row__align text-align-right form__label" for="login-username">{{ 'login_form.username'|trans }}</label>
      <input class="form-control"
             {{ last_username|trim|length == 0 ? 'autofocus' }}
             type="text"
             name="_username"
             value="{{ last_username }}"
             id="login-username"
             required>
    </div>

    <div class="form-row form-row--single-line form__row">
      <label class="form-row__align text-align-right form__label" for="login-password">{{ 'login_form.password'|trans }}</label>
      <input class="form-control"
             {{ last_username|trim|length > 0 ? 'autofocus' }}
             type="password"
             name="_password"
             id="login-password"
             required>
    </div>

    <div class="form-row form-row--single-line form-row--no-collapse">
      <div class="form-row__align" aria-hidden="true"></div>
      {{ checkbox({ name: '_remember_me', id: 'login-remember-me', checked: remember_me ?? true }) }}
      <label for="login-remember-me">{{ 'label.remember_me'|trans }}</label>
    </div>

    <div class="form-row form-row--single-line form__row form__button-row">
      <span class="form-row__align" role="presentation"></span>

      <button type="submit" class="button">{{ 'login_form.log_in'|trans }}</button>

      {% if can_reset_password %}
        <a href="{{ path('request_password_reset') }}" class="button button--secondary">
          {{- 'login_form.reset_password'|trans -}}
        </a>
      {% endif %}
    </div>
  </form>
{% endblock %}
